Subject: Looking for Versatility

From: [email-masked] (Steve Graf)
Date: 3 Apr 1995 17:59:30 -0500

I need some advice, please.  I need a shrub (deciduous or conifer) hardy 
to USDA zone 4 that will survive (even thrive?)  in partial sun, a windy 
winter site, where the soil is fairly dry (yet well drained).  Shrub 
should grow 6-12 feet tall but not too wide.  The narrower  the better.  
Any suggestions would be or other helpful hints would be appreciated.  TIA.